TikTok Shop

Whether the shop is connected and its data is syncing, with the reasons when not

GET/api/public/v1/tik_tok_shop/connection_health
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopConnectionHealth

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/connection_health" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
checkedAtstring (date-time)required
deadShopGatedboolean, nullablerequired
isCollectingboolean, nullablerequired
officialobject, nullablerequired
official.accessTokenExpiresAtstring (date-time), nullablerequired
official.refreshTokenExpiredboolean, nullablerequired
official.refreshTokenExpiresAtstring (date-time), nullablerequired
official.tokenPresentbooleanrequired
rateLimitobject, nullablerequired
rateLimit.sourcestringOne of redismemory-degradedunconfigured
rateLimit.waitingTiersarray of object
rateLimit.waitingTiers[].[].nextSlotInMsinteger
rateLimit.waitingTiers[].[].tierstring
reasonsarray of objectrequired
reasons[].[].codestringrequiredOne of dead_shop_gatedno_credentialsofficial_token_missingrefresh_token_expiredrefresh_token_expiringweb_session_expiredsync_quarantinedsync_failingnot_collectingsignal_unavailable
reasons[].[].kindstring
reasons[].[].messagestringrequired
reasons[].[].severitystringrequiredOne of brokendegraded
reasons[].[].signalstringOne of credentialsconstraintssync
regionstring, nullablerequired
shopIdstringrequired
statusstringrequiredOne of okdegradedbroken
syncobject, nullablerequired
webobjectrequired
web.cookiePresentboolean, nullablerequired
web.lastQuotaReadAgeSecondsinteger, nullablerequired
web.lastQuotaReadAtstring (date-time), nullablerequired
web.sessionExpiredboolean, nullablerequired

Example

{
  "checkedAt": "2026-11-01T15:04:05Z",
  "deadShopGated": true,
  "isCollecting": true,
  "official": {
    "accessTokenExpiresAt": "2026-11-01T15:04:05Z",
    "refreshTokenExpired": true,
    "refreshTokenExpiresAt": "2026-11-01T15:04:05Z",
    "tokenPresent": true
  },
  "rateLimit": {
    "source": "redis",
    "waitingTiers": [
      {
        "nextSlotInMs": 3,
        "tier": "string"
      }
    ]
  },
  "reasons": [
    {
      "code": "dead_shop_gated",
      "kind": "string",
      "message": "string",
      "severity": "broken",
      "signal": "credentials"
    }
  ],
  "region": "string",
  "shopId": "string",
  "status": "ok",
  "sync": {},
  "web": {
    "cookiePresent": true,
    "lastQuotaReadAgeSeconds": 3,
    "lastQuotaReadAt": "2026-11-01T15:04:05Z",
    "sessionExpired": true
  }
}

Errors: 401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.